TypeDefinitions (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface TypeDefinitions

- All Superinterfaces:
    TypeDefinitions

      public interface TypeDefinitions
      extends TypeDefinitions

  Definitions of data types used specifically in the serialization of AAF data to and from KLV format. The additional types represent values for index tables, primer packs and random index packs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeDefinitionRecord` | `DeltaEntry` Defines the type for a value that describes the layout of an element stored within an edit unit, including byte offset.
    `static TypeDefinitionVariableArray` | `DeltaEntryArray` Defines the type for a value that is an array of delta entry elements.
    `static TypeDefinitionRecord` | `IndexEntry` Defines the type for a value that represents an element of an index table that provides stream offsets and other information about an edit unit on an incrementing timeline.
    `static TypeDefinitionVariableArray` | `IndexEntryArray` Defines the type for a value that represents an array of entries in an index table.
    `static TypeDefinitionSet` | `LocalTagEntryBatch` Defines the type of a value that is a set of references to local tag entries for a primer pack, where the set contains the lookup table of tag-to-key mappings.
    `static TypeDefinitionStrongObjectReference` | `LocalTagEntryReference` Defines the type of a value that is a reference to a local tag entry in a primer pack that contains a single tag-to-key mapping.
    `static TypeDefinitionRecord` | `RandomIndexItem` Defines the type for a value that represents an entry in a random index pack (RIP) that provides byte offset details for a partition.
    `static TypeDefinitionVariableArray` | `RandomIndexItemArray` Defines the type for a value that represents an array of random index items that provide a table of byte offsets to partitions for a random index pack in an MXF file.

    - ### Fields inherited from interface tv.amwa.maj.industry.TypeDefinitions

      `AlphaTransparencyType, ApplicationPluginObjectStrongReference, ApplicationPluginObjectStrongReferenceSet, AUID, AUIDArray, AUIDSet, AuxBitsModeType, AVCCodedContentKind, Boolean, ChannelStatusModeArray, ChannelStatusModeType, Character, ClassDefinitionStrongReference, ClassDefinitionStrongReferenceSet, ClassDefinitionWeakReference, CodecDefinitionStrongReference, CodecDefinitionStrongReferenceSet, CodecDefinitionWeakReference, CodingEquationsType, ColorPrimariesType, ColorSitingType, ComponentStrongReference, ComponentStrongReferenceVector, ContainerDefinitionStrongReference, ContainerDefinitionStrongReferenceSet, ContainerDefinitionWeakReference, ContentScanningType, ContentStorageStrongReference, ControlPointStrongReference, ControlPointStrongReferenceVector, DataDefinitionStrongReference, DataDefinitionStrongReferenceSet, DataDefinitionWeakReference, DataDefinitionWeakReferenceSet, DataDefinitionWeakReferenceVector, DataValue, DateStruct, DescriptiveFrameworkStrongReference, DescriptiveObjectStrongReference, DescriptiveObjectStrongReferenceSet, DescriptiveObjectStrongReferenceVector, DictionaryStrongReference, EdgeType, EditHintType, ElectroSpatialFormulation, EmphasisType, EssenceDataStrongReference, EssenceDataStrongReferenceSet, EssenceDescriptorStrongReference, ExtensionSchemeStrongReference, ExtensionSchemeStrongReferenceSet, ExtensionSchemeWeakReference, FadeType, FieldNumber, FileDescriptorStrongReference, FileDescriptorStrongReferenceVector, FilmType, IdentificationStrongReference, IdentificationStrongReferenceVector, Indirect, Int16, Int32, Int32Array, Int64, Int64Array, Int8, InterpolationDefinitionStrongReference, InterpolationDefinitionStrongReferenceSet, InterpolationDefinitionWeakReference, JPEGTableIDType, KLVDataDefinitionStrongReference, KLVDataDefinitionStrongReferenceSet, KLVDataStrongReference, KLVDataStrongReferenceVector, LayoutType, LengthType, LocatorStrongReference, LocatorStrongReferenceVector, MetaDefinitionStrongReference, MetaDefinitionStrongReferenceSet, NetworkLocatorStrongReference, Opaque, OperationCategoryType, OperationDefinitionStrongReference, OperationDefinitionStrongReferenceSet, OperationDefinitionWeakReference, OperationDefinitionWeakReferenceVector, OperationGroupStrongReference, PackageIDType, PackageMarkerStrongReference, PackageStrongReference, PackageStrongReferenceSet, PackageWeakReference, ParameterDefinitionStrongReference, ParameterDefinitionStrongReferenceSet, ParameterDefinitionWeakReference, ParameterDefinitionWeakReferenceSet, ParameterStrongReference, ParameterStrongReferenceVector, PhaseFrameType, PluginCategoryType, PluginDefinitionStrongReference, PluginDefinitionStrongReferenceSet, PluginDefinitionWeakReference, PluginDefinitionWeakReferenceSet, PositionType, PrefaceStrongReference, ProductReleaseType, ProductVersionType, PropertyDefinitionStrongReference, PropertyDefinitionStrongReferenceSet, PropertyDefinitionWeakReference, PropertyDefinitionWeakReferenceSet, PulldownDirectionType, PulldownKindType, Rational, ReferenceType, RGBAComponent, RGBAComponentKind, RGBALayout, RIFFChunkStrongReference, RIFFChunkStrongReferenceVector, ScanningDirectionType, SegmentStrongReference, SegmentStrongReferenceVector, SignalStandardType, SourceClipStrongReference, SourceReferenceStrongReference, SourceReferenceStrongReferenceVector, Stream, SubDescriptorStrongReference, SubDescriptorStrongReferenceVector, TaggedValueDefinitionStrongReference, TaggedValueDefinitionStrongReferenceSet, TaggedValueStrongReference, TaggedValueStrongReferenceVector, TapeCaseType, TapeFormatType, TCSource, TimecodeSource, TimeStamp, TimeStruct, TrackStrongReference, TrackStrongReferenceVector, TransferCharacteristicType, TypeDefinitionStrongReference, TypeDefinitionStrongReferenceSet, TypeDefinitionWeakReference, TypeDefinitionWeakReferenceVector, UInt16, UInt32, UInt32Array, UInt32Set, UInt64, UInt8, UInt8Array, UInt8Array12, UInt8Array8, UsageType, UserDataModeArray, UserDataModeType, UTF16String, UTF16StringArray, VersionNumber, VersionType, VideoSignalType`

- - ### Field Detail

    - #### DeltaEntry

          static final TypeDefinitionRecord DeltaEntry

      Defines the type for a value that describes the layout of an element stored within an edit unit, including byte offset.

      See Also:
        `DeltaEntryArray`, `DeltaEntry`, `IndexTableSegment.getDeltaEntryArray()`

    - #### DeltaEntryArray

          static final TypeDefinitionVariableArray DeltaEntryArray

      Defines the type for a value that is an array of delta entry elements.

      See Also:
        `DeltaEntry`, `DeltaEntry`, `IndexTableSegment.getDeltaEntryArray()`

    - #### IndexEntry

          static final TypeDefinitionRecord IndexEntry

      Defines the type for a value that represents an element of an index table that provides stream offsets and other information about an edit unit on an incrementing timeline.

      See Also:
        `IndexEntryArray`, `IndexEntry`, `IndexTableSegment.getIndexEntryArray()`

    - #### IndexEntryArray

          static final TypeDefinitionVariableArray IndexEntryArray

      Defines the type for a value that represents an array of entries in an index table.

      See Also:
        `IndexEntry`, `IndexEntry`, `IndexTableSegment.getIndexEntryArray()`

    - #### RandomIndexItem

          static final TypeDefinitionRecord RandomIndexItem

      Defines the type for a value that represents an entry in a random index pack (RIP) that provides byte offset details for a partition.

      See Also:
        `RandomIndexItemArray`, `RandomIndexItem`, `RandomIndexPack.getPartitionIndex()`

    - #### RandomIndexItemArray

          static final TypeDefinitionVariableArray RandomIndexItemArray

      Defines the type for a value that represents an array of random index items that provide a table of byte offsets to partitions for a random index pack in an MXF file.

      See Also:
        `RandomIndexItem`, `RandomIndexItem`, `RandomIndexPack.getPartitionIndex()`

    - #### LocalTagEntryReference

          static final TypeDefinitionStrongObjectReference LocalTagEntryReference

      Defines the type of a value that is a reference to a local tag entry in a primer pack that contains a single tag-to-key mapping. Two-byte to sixteen byte mappings are used to reduce the encoding footprint for a local set.

      See Also:
        `LocalTagEntryBatch`, `LocalTagEntry`, `PrimerPack.getLocalTagEntryBatch()`, `MXFBuilder.readLocalSet(UL, java.nio.ByteBuffer, PrimerPack, java.util.Map, java.util.List)`

    - #### LocalTagEntryBatch

          static final TypeDefinitionSet LocalTagEntryBatch

      Defines the type of a value that is a set of references to local tag entries for a primer pack, where the set contains the lookup table of tag-to-key mappings. Two-byte to sixteen byte mappings are used to reduce the encoding footprint for a local set.

      See Also:
        `LocalTagEntryReference`, `PrimerPack.getLocalTagEntryBatch()`, `MXFBuilder.readLocalSet(UL, java.nio.ByteBuffer, PrimerPack, java.util.Map, java.util.List)`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.